package tests.validation;

import implementations.Stack;



/**
 * 
 * Simple test of Stack class - for use when JUnit is not available/desirable <br>
 * Does not test the exceptions <br><br>
 * Expected Output :<br>
 <pre>
  Stack s = new Stack (3);
  Stack: head -> .
  s.push(1); s.push(2); s.push(3);
  Stack: head -> 3-> 2-> 1-> .
  s.head() = 3
  s.pop();s.pop();
  Stack: head -> 1-> .
  s.head() = 1
 </pre>
 * @author J Paul Gibson
 **/
public class StackTest {

	
	public static void main(String[] args){ 

		System.out.println("Stack s = new Stack (3);");
		Stack s = new Stack (3);
		System.out.println(s);
		
		System.out.println("s.push(1); s.push(2); s.push(3);");
		s.push(1);
		s.push(2);
		s.push(3);
		System.out.println(s);
		System.out.println("s.head() = " + s.head());

		System.out.println("s.pop();s.pop();");
		s.pop(); s.pop();
		System.out.println(s);
		System.out.println("s.head() = " + s.head());

		}

}


